#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=django-conneg

#MY_PYBUILD_OPTION=-v
#MY_DJANGOADMIN_OPTION=-v 3

%:
#	dh $@ --with python2,python3 --buildsystem=pybuild
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
        PYBUILD_TEST_ARGS="cd {build_dir}; django-admin test $(MY_DJANGOADMIN_OPTION) --settings=django_conneg.test_settings --pythonpath=. django_conneg.tests" \
	dh_auto_test

# override_dh_install:
# 	dh_install
# 	rm -fr debian/python3-django-conneg/usr/lib/python3.3/dist-packages/django_conneg/tests/
# 	rm -fr debian/python3-django-conneg/usr/lib/python3.3/dist-packages/django_conneg/test_settings.py
# 	rm -fr debian/python3-django-conneg/usr/lib/python3/dist-packages/django_conneg/tests/
